You are not logged in.

#1 2021-02-01 20:35:13

esuhl
Member
Registered: 2018-09-07
Posts: 16

libmfx (Firefox dependency) now 64-bit only?

I just installed Arch32 on a laptop (different to one mentioned in other threads).

When I try to install firefox, it fails due to a missing dependency -- libmfx:

$ sudo pacman -S libmfx
error: target not found: libmfx

I'm guessing that the latest update to libmfx has made it 64-bit only...? :-(

https://archlinux.org/packages/?sort=&q=libmfx
https://archlinux32.org/packages/?sort=&q=libmfx

-------------
I was able to install an older version of libmfx from the archive, and then install firefox successfully:

$ sudo pacman -U --asdeps https://archive.archlinux32.org/packages/l/libmfx/libmfx-1.25-3.7-pentium4.pkg.tar.xz

--------------

Am I diagnosing this correctly?  Should I file a bug report, or let someone know...?

Thanks :-)

Last edited by esuhl (2021-02-01 20:35:48)

Offline

#2 2021-02-01 23:37:58

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 1,013

Re: libmfx (Firefox dependency) now 64-bit only?

Hmm, not sure quite what's up with that.  I have libmfx installed because late last year it turned up as the latest version available, so I'm not sure why it's been removed now.  In fact, I'm not sure if it has been removed, it still seems to be present in my repos (I think I'm using agoctl.org from france).

Perhaps it has been blocked from building.  I can't find it on the build server search.


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

#3 2021-02-02 07:26:25

deep42thought
Administrator
From: Jena, Germany
Registered: 2017-06-17
Posts: 608

Re: libmfx (Firefox dependency) now 64-bit only?

I think, it's a bug in the build scripts: I ran delete-packages yesterday to delete some to-be-removed packages, and apparently it deleted too much. I'll reschedule intel-media-sdk (base package of libmfx)

Offline

#4 2021-02-27 04:16:10

dta
Member
Registered: 2021-02-27
Posts: 3

Re: libmfx (Firefox dependency) now 64-bit only?

Just reporting in a few weeks later to say that this still appears to be a problem.

Thank you esuhl for the workaround.  It works.

Offline

#5 2021-02-27 04:25:37

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 1,013

Re: libmfx (Firefox dependency) now 64-bit only?

Hmm yes, now that my local repos have propogated it seems to have disappeared completely from them.  I still have libmfx 1.25-3.7 installed from back when it used to exist though, and since that's the version that esuhi suggested installing from the package archive site, that suggests that the workaround is still good.

But I guess the rebuild of intel-media-sdk failed.


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

#6 2021-02-27 05:29:50

mistersmee
Member
From: India
Registered: 2020-12-24
Posts: 65

Re: libmfx (Firefox dependency) now 64-bit only?

levi wrote:

Hmm yes, now that my local repos have propogated it seems to have disappeared completely from them.  I still have libmfx 1.25-3.7 installed from back when it used to exist though, and since that's the version that esuhi suggested installing from the package archive site, that suggests that the workaround is still good.

But I guess the rebuild of intel-media-sdk failed.

Yes, it must have failed. Though libmfx is required for mpv too. We are good as long as the package does not disappear from the archive site. Can we unarchive the paackage somehow, as a stopgap until it builds? Move the package from the archive repo to the stable repos?

Because this poses an problem while installing a fresh install, if someone used mpv and firefox, and could not find this workaround, i.e. this forum issue, that would be bad.

Offline

#7 2021-02-27 06:16:50

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 1,013

Re: libmfx (Firefox dependency) now 64-bit only?

It's very unlikely to be deleted from the archive site.  Last time I looked, the set of packages on the archive site dated back to the genesis of archlinux32.  It could be populated to the repos from the archive site, but that would be certainly be a non-standard procedure.  Hopefully intel-media-sdk can be rebuilt soon and will work this time.

I doubt this will be a problem for new users.  Everyone using archlinux32 comes across this bbs sooner or later.  And strictly speaking, it doesn't stop you doing an install, you should be able to follow all of the steps in the installation guide.  It's only when after installation you try to build a usable operating system and set of apps.  I generally install lynx or links as my first web browser, because if I need to look up something before I get a working graphical desktop, I need a text mode browser.


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

Board footer

Powered by FluxBB